getPageConfig.v1
POST
/shopgate.cms.getPageConfig.v1
This pipeline returns the page configuration for one specific page, the ID of the page is passed through the pageId parameter. The ‘title’ property is only set, if the particular page has a title. The ‘widgets’ key holds an array of widget- or widget-grid-objects, that bring their own settings with them.
Request Body
Section titled “Request Body”Media typeapplication/json
object
pageId
The pageId of the page, the device wants to display.
string
Examplegenerated
{ "pageId": "example"}Responses
Section titled “Responses”Successful response.
Media typeapplication/json
object
output
required
object
title
string
widgets
Array<object>
object
type
The widget-type, like @shopgate/commerce-widgets/image-slider or @shopgate/commerce-widgets/widget-grid.
string
height
The number of rows, this widget uses inside the grid or widget-grid.
integer format: int32
settings
The widget-specific conguration data, every type has it’s own properties for this.
object
Examplegenerated
{ "output": { "title": "example", "widgets": [ { "type": "example", "height": 1, "settings": {} } ] }}EUNKNOWN
Section titled “EUNKNOWN”An internal error occurred.
Media typeapplication/json
object
error
required
object
code
required
string
message
string
Example
{ "error": { "code": "EUNKNOWN", "message": "An internal error occurred." }}
